> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slate-labs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Instrument



## OpenAPI

````yaml /openapi.json get /instruments/{symbol}
openapi: 3.1.0
info:
  title: Slate API
  version: 1.0.0
  description: Trading infrastructure API.
servers:
  - url: https://api.{your-broker}.slate-labs.com
    variables:
      your-broker:
        default: broker
security: []
tags:
  - name: Authentication
  - name: API Tokens
  - name: Customers
  - name: Accounts
  - name: Orders
  - name: Instruments & Groups
  - name: Transactions
  - name: Payments
  - name: Transfers
  - name: Risk
  - name: Workflow & CRM
  - name: Messaging
  - name: Integrations
  - name: Webhooks
  - name: Compliance
  - name: Promo codes
  - name: Reporting
  - name: Audit
  - name: Fraud & moderation
  - name: Broker settings
  - name: Users
  - name: Roles & Teams
  - name: Streams (SSE)
  - name: Simulator
  - name: Observability
  - name: Prop trading
paths:
  /instruments/{symbol}:
    get:
      tags:
        - Instruments & Groups
      summary: Get Instrument
      operationId: get_instrument_instruments__symbol__get
      parameters:
        - name: symbol
          in: path
          required: true
          schema:
            type: string
            title: Symbol
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InstrumentResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    InstrumentResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        symbol:
          type: string
          title: Symbol
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
        base_currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Base Currency
        quote_currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Quote Currency
        unit_currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Unit Currency
          default: USD
        digits:
          anyOf:
            - type: integer
            - type: 'null'
          title: Digits
          default: 5
        pip_size:
          anyOf:
            - type: number
            - type: 'null'
          title: Pip Size
        contract_size:
          anyOf:
            - type: integer
            - type: 'null'
          title: Contract Size
          default: 100000
        min_lot:
          anyOf:
            - type: number
            - type: 'null'
          title: Min Lot
          default: 0.01
        max_lot:
          anyOf:
            - type: number
            - type: 'null'
          title: Max Lot
          default: 100
        lot_step:
          anyOf:
            - type: number
            - type: 'null'
          title: Lot Step
          default: 0.01
        margin_rate:
          anyOf:
            - type: number
            - type: 'null'
          title: Margin Rate
        spread:
          anyOf:
            - type: number
            - type: 'null'
          title: Spread
          default: 0
        swap_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Swap Type
          default: pips
        swap_long:
          anyOf:
            - type: number
            - type: 'null'
          title: Swap Long
          default: 0
        swap_short:
          anyOf:
            - type: number
            - type: 'null'
          title: Swap Short
          default: 0
        stale_threshold_ms:
          anyOf:
            - type: integer
            - type: 'null'
          title: Stale Threshold Ms
        is_active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Active
          default: true
        is_enabled:
          type: boolean
          title: Is Enabled
          default: true
        asset_class:
          anyOf:
            - type: string
            - type: 'null'
          title: Asset Class
          default: other
        exchange:
          anyOf:
            - type: string
            - type: 'null'
          title: Exchange
        provider:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider
        provider_symbol:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider Symbol
        last_bid:
          anyOf:
            - type: number
            - type: 'null'
          title: Last Bid
        last_ask:
          anyOf:
            - type: number
            - type: 'null'
          title: Last Ask
        last_tick_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Tick At
        logo_base_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Base Url
        logo_quote_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Quote Url
        localized_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Localized Description
      type: object
      required:
        - id
        - symbol
      title: InstrumentResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````